Bug 822331 - Virt-manager should provide better error message when try to add the 5th IDE
Virt-manager should provide better error message when try to add the 5th IDE
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 01:29 EDT by Geyang Kong
Modified: 2014-07-06 15:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 11:07:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geyang Kong 2012-05-17 01:29:37 EDT
Description of problem:
  Virt-manager should provide better error message when try to add the 5th IDE device.

Version-Release number of selected component (if applicable):
virt-manager-0.9.0-14.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Make sure there is a guest.
2. Try to add 5 IDE devices on the guest through virt-manager.
3. Check the error message.
4. Try to add the 5th ide device through libvirt
   [root@KP-T1 ~]# virsh attach-disk --domain T1 --source /var/lib/libvirt/images/1.iso --target hde --sourcetype file --driver qemu --subdriver qcow2 --type cdrom --persistent
   Disk attached successfully
5. Start the domain T1
   [root@KP-T1 ~]# virsh start T1
   error: Failed to start domain T1
   error: internal error Only 1 ide controller is supported

Actual results:
1. After step 3. Following error message appeared
-------------------------------------------------------------------------------
Uncaught error validating hardware input: No more space for disks of type 'hd'
-------------------------------------------------------------------------------
Expected results:
1. Virt-manager should provide more clearer error message, e.g. "Only 4 ide devices are supported by an IDE controller"

Additional info:
Comment 2 Cole Robinson 2014-01-29 11:07:28 EST
Fixed upstream now

Note You need to log in before you can comment on or make changes to this bug.